frame .f -visual "pseudocolor" -colormap new
frame .f.scrollzoom

proc xscroll_update {val0 val1 args} {
 set nargs [llength $args]
 puts "$val0 $val1 $nargs $args"
 .f.canvas xview $val0 $val1 $args
}

proc readppm {id name} {

  global image_llx image_lly image_urx image_ury

  $id read $name

}

set photo_item [image create photo -palette 6/6/5]
set photoname ./test_0.1.1.ppm
readppm $photo_item $photoname
set reg [format "%f %f %f %f" 0 0 300 300]
canvas .f.canvas -width 100 -height 100 \
       -scrollregion $reg 
#       -xscrollcommand [list .f.xscroll set]
.f.canvas create image 150 150 -image $photo_item -anchor c
#scrollbar .f.xscroll -orient horizontal \
#          -command {xscroll_update}

button .f.scrollzoom.scrollr -bitmap @right_arrow.xbm
button .f.scrollzoom.jump -bitmap @square.xbm
button .f.scrollzoom.cruise -bitmap @square.xbm
bind .f.scrollzoom.scrollr <Button-1> [list xscroll_update scroll \
                                       1 units]
bind .f.scrollzoom.jump  <Button-1> [list xscroll_update scroll \
                                          1 pages]

#pack .f.xscroll -side bottom -fill x  -in .f

pack .f.scrollzoom.scrollr .f.scrollzoom.jump -side bottom \
      -in .f.scrollzoom
pack .f.scrollzoom.cruise -side bottom -in .f.scrollzoom
pack .f.scrollzoom -in .f 

pack .f.canvas -in .f
pack .f -in .
